# API
To communicate between HRI and General Manager we use naoqi's ALMemory System:
- Using ALMemory event
- Using ALMemory data
## Common



### AL_VALUE 
This is an ALMemory data that contains all description of other ALMemory data used in the apps.

Also apps need an absolute entry point to this ALMemory data.

### toolbarState
This is an ALMemory event that 


## General Manager and HRI

## Tablet and Local Manager

